package Wx

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/Wx"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx/getWxAllowBlockList Wx GetWxAllowBlockList
//
// Get wx allow and block list | 获取黑白名单列表
//
// Get wx allow and block list | 获取黑白名单列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: AllowBlockListReq
//
// Responses:
//  200: AllowBlockListResp

func GetWxAllowBlockListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Wx.NewGetWxAllowBlockListLogic(r.Context(), svcCtx)
		resp, err := l.GetWxAllowBlockList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
